<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * formulario de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
	//** Dependencia TD
		function dependencia_tr( $padreId = 0, $padre = 0, $tab = '' ){
			$tabla		= ( isset( yPanel::paneles( $_GET['panel'] )->tabla ) ) ? MYSQL_PREFIJO_SISX . yPanel::paneles( $_GET['panel'] )->tabla : 'nulo';
			$html = '';
			$sql = _mysql_query("SELECT * FROM " . $tabla . " WHERE padre='$padre' ORDER BY nombre ASC");
			while( $r = _mysql_fetch_array($sql) ){
				$html .= '<tr id="t-' . $r['id'] . '">';
				$html .= ( $padre == 0 ) ? '<td>' . com_btnToggle( 'pu'.$r['id'], $r['id'], $r['publicado'], false, 'onClick="publicado(this)"' ) . '</td>' : '<td>&nbsp;</td>';
				$html .= '<td>' . $tab . '<a href="' . post_link( $_GET['panel'], $r['id'], 'acc=editar' ) . '" style="font-size:13px"><strong>' . utf8_encode( $r['nombre'] ) . '</strong></a>' . '</td>';
				$html .= '<td>' . $r['slug'] . '</td>';
				$html .= '<td>
											<a href="' . post_link( $_GET['panel'], $r['id'], 'acc=editar' ) . '" class="ico16" title="' . etiqueta( 'e_editar', 'Editar' ) . '"><i class="fa fa-edit fs-18"></i></a>
											<a href="javascript:;" onClick="rElim(\'' . $r['id'] . '\');" class="ico16" title="' . etiqueta( 'e_eliminar', 'Eliminar usuario' ) . '"><i class="fa fa-trash fs-18"></i></a></td>';
				$html .= '</tr>';
				$html .= dependencia_tr( $padreId, $r['id'], $tab . '&nbsp; <i class="fa fa-ellipsis-v"></i> &hellip; ' );
			}
			return $html;
		}
		
	//** Dependencia
		function dependencia_option( $padreId = 0, $padre = 0, $tab = '' ){
			$tabla		= ( isset( yPanel::paneles( $_GET['panel'] )->tabla ) ) ? MYSQL_PREFIJO_SISX . yPanel::paneles( $_GET['panel'] )->tabla : 'nulo';
			$html = '';
			$Sql = _mysql_query("SELECT * FROM " . $tabla . " WHERE padre='$padre' ORDER BY nombre ASC");
			while( $r = _mysql_fetch_array($Sql) ){
				$html .= '<option value="' . $r['id'] . '"';
				$html .= ( $r['id'] == $padreId ) ? ' selected' : '';
				$html .= '>' . $tab . utf8_encode( $r['nombre'] ) . '</option>';
				$html .= dependencia_option( $padreId, $r['id'], $tab . " &nbsp; &brvbar; &hellip; " );
			}
			return $html;
		}
		
		function dependencia(){		
			$html = '<select class="fs-small" id="jerarquia" name="jerarquia">
						<option value="0">' . etiqueta( 'e_ninguno', 'Ninguna' ) . '</option>';
			$html .= dependencia_option( com_obtReg( "padre" ) );
			$html .= '</select>';
			
			return $html;
		}
			 
?>	
	
	<div class="row">
		<!-- Panel Principal -->
		<div class="col-sm-8">
			<table class="table fs-small">
				<thead>
					<tr>
						<th colspan="2" width="40%"><?php echo etiqueta( 'th_nombre', 'Nombre' ) ?></th>
						<th>Slug</th>
						<th>&nbsp;</th>
					</tr>
				</thead>
				<tbody>
					<?php
						echo dependencia_tr( com_obtReg( "padre" ) );
					?>
				</tbody>
			</table>
		</div>
		
		<!-- Opciones -->
		<div class="col-sm-4">
			<form method="post" action="<?php echo com_base() ?>prcss.php">
				<input type="hidden" name="acc" value="g-secc">
				<input type="hidden" name="panel" value="<?php echo $_GET['panel'] ?>">
				<fieldset class="fs-small">
					<legend><?php echo etiqueta( 'legend_secciones_1', 'Agregar nueva sección' ) ?></legend>
					<div class="m-b-10">
						<label for="nombre"><?php echo etiqueta( 'e_nombre', 'Nombre' ) ?></label>
						<input type="text" class="w-full" id="nombre" name="nombre" value="<?php echo com_obtReg( "nombre" ) ?>">
					</div>
					<div class="m-b-10">
						<label for="slug-c">Slug</label>
						<input type="text" class="w-full" id="slug-c" name="slug" value="<?php echo com_obtReg( "slug" ) ?>" autocomplete="off" >
					</div>
					<div class="m-b-10">
						<label for="publicado"><?php echo etiqueta( 'e_publicado', 'Publicado' ) ?></label><br>
						<?php echo com_btnToggle( 'publicado', 1, com_obtReg( "publicado", 1 ) ); ?>
					</div>
					<div class="m-b-10">
						<label for="jerarquia"><?php echo etiqueta( 'e_seccion_padre', 'Sección Padre' ) ?></label><br>
						<?php
							echo dependencia()
						?>
					</div>
					<div class="m-t-30"><?php echo com_boton( 'nuevo', etiqueta( 'b_agregar_nueva_seccion', 'Agregar nueva sección' ) ); ?></div>
				</fieldset>
			</form>
		</div>		
	</div>
	
	<script>
			
			//** validar formulario */
				$_("#nuevo").onclick = function(){
					f = this.form;
					if( f.nombre.value.length < 3 ){
						f.nombre.focus();
						MsjBox.mostrar( '<?php echo etiqueta( 'msj_err_nombre', 'Por favor ingrese un nombre válido.' ) ?>' );
						return false
					}
					if( f.slug.value.length < 3 ){
						f.slug.value = obtCadenaSlug(f.nombre.value);
					}
					eform( this.form ); setTimeout("location.reload();",800);
					
					return false;
				}
				
			//** boton nuevo
				//$_("#nuevo").onclick = function(){ location.href='<?php echo post_link( $_GET['panel'], NULL, "acc=agregar" ); ?>'; }
			
			publicado = function(e){
				$h = ( e.checked ) ? 1 : 0;
				MsjBox.mostrar('<?php echo etiqueta( 'msj_espere', 'espere...' ) ?>');
				$y.ajax({
						url: '<?php echo com_base() ?>prcss.php',
						metodo: 'POST',
						data: 'acc=r-habilitar&panel=<?php echo $_GET['panel'] ?>&post=' + e.value + '&h=' + $h,
						contenidoTipo: 'application/x-www-form-urlencoded',
						suceso: function(respuesta){ 
									if( respuesta == 1 ){
										 MsjBox.mostrar('<?php echo etiqueta( "msj_secambio_correctamente", 'Se cambió el estado correctamente' ) ?>');
									}
						}
				});
			}
			
			rElim = function(id){
				var opcion = confirm("<?php echo etiqueta( 'msj_seguro_eliminar', '¿Está seguro que desea eliminar el registro?' ) ?>");
    			if (opcion == true) {
					MsjBox.mostrar('<?php echo etiqueta( 'msj_eliminando', 'Eliminando' ) ?>...');
					$y.ajax({
							url: '<?php echo com_base() ?>prcss.php',
							metodo: 'POST',
							data: 'acc=r-eliminar&panel=<?php echo $_GET['panel'] ?>&post=' + id,
							contenidoTipo: 'application/x-www-form-urlencoded',
							suceso: function(respuesta){ 
										if( respuesta == 1 ){
											 MsjBox.mostrar('<?php echo etiqueta( 'msj_reg_eliminado', 'El registro se eliminó correctamente.' ) ?>');
											 setTimeout("location.reload();",800);
										}
							}
					});
				}
			}
	</script>